<link rel="import" href="/extern/bower_components/iron-icons/iron-icons.html">
<link rel="import" href="/ts/common-elements/relative-time/relative-time.html">

<!--
`<key-value-pair>` is a simple element that takes a key and a value and presents
it nicely.

  Example:

    <key-value-pair key="my key" value="my value"></key-value-pair>

@authors Glenn Dirkx
@demo demo/index.html
-->
<dom-module id="key-value-pair">
    <template>
        <link rel="import" type="css" href="css/key-value-pair-min.css?__inline=true">
        <div class="container">
            <div class="left">{{key}}</div>
            <div class="middle"><iron-icon icon="arrow-forward"></iron-icon></div>
            <template is="dom-if" if="{{isdate}}" restamp="true">
                <relative-time class="right" date="{{value}}"></relative-time>
            </template>
            <template is="dom-if" if="{{!isdate}}"restamp="true">
                <div class="right">{{value}}</div>
            </template>
        </div>
    </template>
    <script src="javascript/key-value-pair-min.js?__inline=true"></script>
</dom-module>
